package cn.ibizlab.core.dict.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.util.domain.EntityBase;
import cn.ibizlab.util.annotation.DEField;
import cn.ibizlab.util.enums.DEPredefinedFieldType;
import cn.ibizlab.util.enums.DEFieldDefaultValueType;
import java.io.Serializable;
import lombok.Data;
import org.springframework.data.annotation.Transient;


/**
 * ServiceApi [字典项目] 对象
 */
@Data
public class IBZDictItem extends EntityBase implements Serializable {

    /**
     * 字典项目标识
     */
    @DEField(isKeyField=true)
    @JSONField(name = "itemid")
    @JsonProperty("itemid")
    private String itemid;

    /**
     * 栏目显示值
     */
    @JSONField(name = "itemname")
    @JsonProperty("itemname")
    private String itemname;

    /**
     * 栏目值
     */
    @JSONField(name = "itemval")
    @JsonProperty("itemval")
    private String itemval;

    /**
     * 字典标识
     */
    @JSONField(name = "dictid")
    @JsonProperty("dictid")
    private String dictid;

    /**
     * 父栏目值
     */
    @JSONField(name = "pitemval")
    @JsonProperty("pitemval")
    private String pitemval;

    /**
     * 过滤项
     */
    @JSONField(name = "itemfilter")
    @JsonProperty("itemfilter")
    private String itemfilter;

    /**
     * 栏目样式
     */
    @DEField(defaultValue = "itemcls" , defaultValueType = DEFieldDefaultValueType.PARAM)
    @JSONField(name = "itemcls")
    @JsonProperty("itemcls")
    private String itemcls;

    /**
     * 图标
     */
    @DEField(defaultValue = "no,png")
    @JSONField(name = "itemicon")
    @JsonProperty("itemicon")
    private String itemicon;

    /**
     * 排序
     */
    @JSONField(name = "showorder")
    @JsonProperty("showorder")
    private Integer showorder;

    /**
     * 建立时间
     */
    @DEField(preType = DEPredefinedFieldType.CREATEDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 更新时间
     */
    @DEField(defaultValueType = DEFieldDefaultValueType.CURTIME , preType = DEPredefinedFieldType.UPDATEDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 建立人
     */
    @DEField(preType = DEPredefinedFieldType.CREATEMAN)
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 更新人
     */
    @DEField(defaultValue = "SRFPERSONID" , defaultValueType = DEFieldDefaultValueType.SESSION , preType = DEPredefinedFieldType.UPDATEMAN)
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;


    /**
     * 字典
     */
    @JSONField(name = "dict")
    @JsonProperty("dict")
    private cn.ibizlab.core.dict.domain.IBZDict dict;


}







