package cn.ibizlab.core.dict.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.dict.domain.IBZDict;
/**
 * 关系型数据实体[IBZDict] 查询条件对象
 */
@Slf4j
@Data
public class IBZDictSearchContext extends QueryWrapperContext<IBZDict> {

	private String n_ibzdictid_like;//[字典标识]
	public void setN_ibzdictid_like(String n_ibzdictid_like) {
        this.n_ibzdictid_like = n_ibzdictid_like;
        if(!ObjectUtils.isEmpty(this.n_ibzdictid_like)){
            this.getSelectCond().like("ibzdictid", n_ibzdictid_like);
        }
    }
	private String n_ibzdictname_like;//[字典名称]
	public void setN_ibzdictname_like(String n_ibzdictname_like) {
        this.n_ibzdictname_like = n_ibzdictname_like;
        if(!ObjectUtils.isEmpty(this.n_ibzdictname_like)){
            this.getSelectCond().like("ibzdictname", n_ibzdictname_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
			this.getSelectCond().or().like("ibzdictname",query);
		 }
	}
}




